# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'
    #csrf_protection: true
    #http_method_override: true
    profiler:
        only_main_requests: true
        enabled: true

    session:
        handler_id: null
        cookie_lifetime: 0
        cookie_secure: auto
        cookie_samesite: lax
        storage_factory_id: session.storage.factory.native
        gc_maxlifetime: 300    # 300 secondes = 5 minutes

    php_errors:
        log: true

    assets:
        version: "v=32"
    router:
        default_uri: '%env(resolve:APP_URL)%'
